<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <title>{%block title%}{%endblock%}</title>
     <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
</head>
<body>
<header>
    <h3><a href="/">Маркет</a></h3>
    <h3><a href="{% url 'products:add' %}">Добавить продукт</a></h3>
    <h3><a href="{% url 'users:profile' %}">Профиль</a></h3>
    <h3><a href="{% url 'products:category_list' %}">Категории</a></h3>
    <h3><a href="{% url 'products:category_add' %}">Добваить категорию</a></h3>
</header>
{% block content %}

{% endblock %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<script>
    const websocketURL = 'ws://' + window.location.host + '/ws/notifications/';
const ws = new WebSocket(websocketURL);

ws.onmessage = function(event) {
    const notification = JSON.parse(event.data);
    alert(notification.message);
}

ws.onmessage = function(event) {
    const notification = JSON.parse(event.data);

    alert(notification.message);
    let notifications = JSON.parse(localStorage.getItem('notifications')) || [];
    notifications.push(notification.message);
    localStorage.setItem('notifications', JSON.stringify(notifications));
}

</script>
</body>
</html>